﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Xml.Serialization;




namespace Data
{
    public class ManagerConfig
    {
        public static string ConfigPath;
        //加载配置文件
        static ManagerConfig()
        {
            ConfigPath = "./config.xml";
        }
        //xml序列化后的对象
        private static ServiceConfig _settings;
        public static ServiceConfig ServiceSettings
        {
            get
            {
                return _settings ?? (_settings = Load());
            }
        }

        //加载xml序列化为ServiceConfig对象
        static ServiceConfig Load()
        {
            if (File.Exists(ConfigPath))
            {
                using (FileStream fs = new FileStream(ConfigPath, FileMode.Open))
                {
                    XmlSerializer xs = new XmlSerializer(typeof(ServiceConfig));
                    //序列化为一个对象
                    _settings = (ServiceConfig)xs.Deserialize(fs);
                }
            }
            else
            {
                throw new Exception("数据库配置文件不存在，请检查");
                //_settings = new ServiceConfig();
            }

            return _settings;
        }
    }
}
